    PROGRAM nag_t_dist_ex02

      ! Example Program Text for nag_t_dist
      ! NAG fl90, Release 4. NAG Copyright 2000.

      ! .. Use Statements ..
      USE nag_examples_io, ONLY : nag_std_out, nag_std_in
      USE nag_t_dist, ONLY : nag_t_deviate
      ! .. Implicit None Statement ..
      IMPLICIT NONE
      ! .. Intrinsic Functions ..
      INTRINSIC KIND
      ! .. Parameters ..
      INTEGER, PARAMETER :: wp = KIND(1.0D0)
      ! .. Local Scalars ..
      REAL (wp) :: dev, df, p
      CHARACTER (1) :: tail
      ! .. Executable Statements ..
      WRITE (nag_std_out,*) 'Example Program Results for nag_t_dist_ex02'

      READ (nag_std_in,*)          ! Skip heading in data file

      WRITE (nag_std_out,*)
      WRITE (nag_std_out,*) 'TAIL      P        DF          DEV'
      WRITE (nag_std_out,*)

      DO
        READ (nag_std_in,*,end=20) tail, p, df

        dev = nag_t_deviate(tail,p,df)

        WRITE (nag_std_out,'(2X,A,3(3x,F8.3))') tail, p, df, dev
      END DO
20    CONTINUE

    END PROGRAM nag_t_dist_ex02
